datacache <- new.env(hash=TRUE, parent=emptyenv())

cangene11stcfrefseq <- function() showQCData("cangene11stcfrefseq", datacache)
cangene11stcfrefseq_dbconn <- function() dbconn(datacache)
cangene11stcfrefseq_dbfile <- function() dbfile(datacache)
cangene11stcfrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
cangene11stcfrefseq_dbInfo <- function() dbInfo(datacache)

cangene11stcfrefseqORGANISM <- "Canis familiaris"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "cangene11stcfrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CANINECHIP_DB", "cangene11stcfrefseq", "chip cangene11stcfrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("cangene11stcfrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(cangene11stcfrefseq_dbconn())
}

